# Jobs

> Jobs - This page outlines the endpoints that create and manage DataRobot model evaluation jobs.

This Markdown file sits beside the HTML page at the same path (with a `.md` suffix). It summarizes the topic and lists links for tools and LLM context.

Companion generated at `2026-05-06T18:17:09.731235+00:00` (UTC).

## Primary page

- [Jobs](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html): Full documentation for this topic (HTML).

## Sections on this page

- [List tasks](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#list-tasks): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#status_list-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#example-responses): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#responses): In-page section heading.
- [Delete a task by status ID](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#delete-a-task-by-status-id): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#status_delete-parameters): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#responses_1): In-page section heading.
- [Get task status by status ID](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#get-task-status-by-status-id): In-page section heading.
- [Parameters](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#status_retrieve-parameters): In-page section heading.
- [Example responses](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#example-responses_1): In-page section heading.
- [Responses](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#responses_2): In-page section heading.
- [Response Headers](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#response-headers): In-page section heading.
- [StatusListResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#tocS_StatusListResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#properties): In-page section heading.
- [StatusRetrieveResponse](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#tocS_StatusRetrieveResponse): In-page section heading.
- [Properties](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#properties_1): In-page section heading.
- [Enumerated Values](https://docs.datarobot.com/en/docs/api/reference/public-api/jobs.html#enumerated-values): In-page section heading.

## Related documentation

- [Developer documentation](https://docs.datarobot.com/en/docs/api/index.html): Linked from this page.
- [API reference](https://docs.datarobot.com/en/docs/api/reference/index.html): Linked from this page.
- [REST API](https://docs.datarobot.com/en/docs/api/reference/public-api/index.html): Linked from this page.
- [Administration](https://docs.datarobot.com/en/docs/api/reference/public-api/tag-admin.html): Linked from this page.

## Documentation content

This page outlines the endpoints that create and manage DataRobot model evaluation jobs.

## List tasks

Operation path: `GET /api/v2/status/`

Authentication requirements: `BearerAuth`

List the async tasks that are currently running for your account.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| offset | query | integer | true | This many results will be skipped. |
| limit | query | integer | true | At most this many results are returned. If 0, all results. |

### Example responses

> 200 Response

```
{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "An array of currently running async status jobs.",
      "items": {
        "properties": {
          "code": {
            "description": "If no error occurred, 0.  Otherwise, may contain a status code reflecting the error.",
            "type": "integer"
          },
          "created": {
            "description": "The time the status record was created.",
            "format": "date-time",
            "type": "string"
          },
          "description": {
            "description": "A description of the task being performed, if applicable",
            "type": [
              "string",
              "null"
            ]
          },
          "message": {
            "description": "May contain further information about the status.",
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "description": "The status of the task.",
            "enum": [
              "ABORTED",
              "COMPLETED",
              "ERROR",
              "EXPIRED",
              "INITIALIZED",
              "RUNNING"
            ],
            "type": "string"
          },
          "statusId": {
            "description": "The ID of the status object.",
            "type": "string"
          },
          "statusType": {
            "description": "The type of thing being created by the Task, if applicable.",
            "type": [
              "string",
              "null"
            ]
          },
          "type": {
            "description": "The type of thing being created by the Task, if applicable.",
            "enum": [
              "CustomModelBlueprintBuild",
              "CustomModelFeatureImpact",
              "Testing",
              "customModelWaitForServer",
              "ManagedImageBuild",
              "Dataset",
              "LongRunningServiceControllerOperation",
              "ProjectPermanentDeletion"
            ],
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "code",
          "created",
          "description",
          "message",
          "status",
          "statusId"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next",
    "previous"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | The list of statuses | StatusListResponse |

## Delete a task by status ID

Operation path: `DELETE /api/v2/status/{statusId}/`

Authentication requirements: `BearerAuth`

Destroy an async status object.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| statusId | path | string | true | The ID of the status object. |

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 204 | No Content | Successfully deleted | None |

## Get task status by status ID

Operation path: `GET /api/v2/status/{statusId}/`

Authentication requirements: `BearerAuth`

Check the status of an asynchronous task such as project creation.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| statusId | path | string | true | The ID of the status object. |

### Example responses

> 200 Response

```
{
  "properties": {
    "code": {
      "description": "If no error occurred, 0.  Otherwise, may contain a status code reflecting the error.",
      "type": "integer"
    },
    "created": {
      "description": "The time the status record was created.",
      "format": "date-time",
      "type": "string"
    },
    "description": {
      "description": "A description of the task being performed, if applicable",
      "type": [
        "string",
        "null"
      ]
    },
    "message": {
      "description": "May contain further information about the status.",
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "description": "The status of the task.",
      "enum": [
        "ABORTED",
        "COMPLETED",
        "ERROR",
        "EXPIRED",
        "INITIALIZED",
        "RUNNING"
      ],
      "type": "string"
    },
    "statusId": {
      "description": "The ID of the status object.",
      "type": "string"
    },
    "statusType": {
      "description": "The type of thing being created by the Task, if applicable.",
      "type": [
        "string",
        "null"
      ]
    },
    "type": {
      "description": "The type of thing being created by the Task, if applicable.",
      "enum": [
        "CustomModelBlueprintBuild",
        "CustomModelFeatureImpact",
        "Testing",
        "customModelWaitForServer",
        "ManagedImageBuild",
        "Dataset",
        "LongRunningServiceControllerOperation",
        "ProjectPermanentDeletion"
      ],
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "code",
    "created",
    "description",
    "message",
    "status",
    "statusId"
  ],
  "type": "object"
}
```

### Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | OK | The status of the asynchronous task | StatusRetrieveResponse |
| 303 | See Other | Task is completed, see Location header for the location of a new resource | None |

### Response Headers

| Status | Header | Type | Format | Description |
| --- | --- | --- | --- | --- |
| 200 | Location | string |  | A url that can be polled to check the status. |

# Schemas

## StatusListResponse

```
{
  "properties": {
    "count": {
      "description": "The number of items returned on this page.",
      "type": "integer"
    },
    "data": {
      "description": "An array of currently running async status jobs.",
      "items": {
        "properties": {
          "code": {
            "description": "If no error occurred, 0.  Otherwise, may contain a status code reflecting the error.",
            "type": "integer"
          },
          "created": {
            "description": "The time the status record was created.",
            "format": "date-time",
            "type": "string"
          },
          "description": {
            "description": "A description of the task being performed, if applicable",
            "type": [
              "string",
              "null"
            ]
          },
          "message": {
            "description": "May contain further information about the status.",
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "description": "The status of the task.",
            "enum": [
              "ABORTED",
              "COMPLETED",
              "ERROR",
              "EXPIRED",
              "INITIALIZED",
              "RUNNING"
            ],
            "type": "string"
          },
          "statusId": {
            "description": "The ID of the status object.",
            "type": "string"
          },
          "statusType": {
            "description": "The type of thing being created by the Task, if applicable.",
            "type": [
              "string",
              "null"
            ]
          },
          "type": {
            "description": "The type of thing being created by the Task, if applicable.",
            "enum": [
              "CustomModelBlueprintBuild",
              "CustomModelFeatureImpact",
              "Testing",
              "customModelWaitForServer",
              "ManagedImageBuild",
              "Dataset",
              "LongRunningServiceControllerOperation",
              "ProjectPermanentDeletion"
            ],
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "code",
          "created",
          "description",
          "message",
          "status",
          "statusId"
        ],
        "type": "object"
      },
      "type": "array"
    },
    "next": {
      "description": "The URL of the next page (if null, there is no next page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    },
    "previous": {
      "description": "The URL of the previous page (if null, there is no previous page).",
      "format": "uri",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "data",
    "next",
    "previous"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| count | integer | false |  | The number of items returned on this page. |
| data | [StatusRetrieveResponse] | true |  | An array of currently running async status jobs. |
| next | string,null(uri) | true |  | The URL of the next page (if null, there is no next page). |
| previous | string,null(uri) | true |  | The URL of the previous page (if null, there is no previous page). |

## StatusRetrieveResponse

```
{
  "properties": {
    "code": {
      "description": "If no error occurred, 0.  Otherwise, may contain a status code reflecting the error.",
      "type": "integer"
    },
    "created": {
      "description": "The time the status record was created.",
      "format": "date-time",
      "type": "string"
    },
    "description": {
      "description": "A description of the task being performed, if applicable",
      "type": [
        "string",
        "null"
      ]
    },
    "message": {
      "description": "May contain further information about the status.",
      "type": [
        "string",
        "null"
      ]
    },
    "status": {
      "description": "The status of the task.",
      "enum": [
        "ABORTED",
        "COMPLETED",
        "ERROR",
        "EXPIRED",
        "INITIALIZED",
        "RUNNING"
      ],
      "type": "string"
    },
    "statusId": {
      "description": "The ID of the status object.",
      "type": "string"
    },
    "statusType": {
      "description": "The type of thing being created by the Task, if applicable.",
      "type": [
        "string",
        "null"
      ]
    },
    "type": {
      "description": "The type of thing being created by the Task, if applicable.",
      "enum": [
        "CustomModelBlueprintBuild",
        "CustomModelFeatureImpact",
        "Testing",
        "customModelWaitForServer",
        "ManagedImageBuild",
        "Dataset",
        "LongRunningServiceControllerOperation",
        "ProjectPermanentDeletion"
      ],
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "code",
    "created",
    "description",
    "message",
    "status",
    "statusId"
  ],
  "type": "object"
}
```

### Properties

| Name | Type | Required | Restrictions | Description |
| --- | --- | --- | --- | --- |
| code | integer | true |  | If no error occurred, 0. Otherwise, may contain a status code reflecting the error. |
| created | string(date-time) | true |  | The time the status record was created. |
| description | string,null | true |  | A description of the task being performed, if applicable |
| message | string,null | true |  | May contain further information about the status. |
| status | string | true |  | The status of the task. |
| statusId | string | true |  | The ID of the status object. |
| statusType | string,null | false |  | The type of thing being created by the Task, if applicable. |
| type | string,null | false |  | The type of thing being created by the Task, if applicable. |

### Enumerated Values

| Property | Value |
| --- | --- |
| status | [ABORTED, COMPLETED, ERROR, EXPIRED, INITIALIZED, RUNNING] |
| type | [CustomModelBlueprintBuild, CustomModelFeatureImpact, Testing, customModelWaitForServer, ManagedImageBuild, Dataset, LongRunningServiceControllerOperation, ProjectPermanentDeletion] |
